Render a tree of the structure of the workflow. Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/workflow/{workflow_uuid}/tree

Path parameters

  • workflow_uuid string Required

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • name string

      The name of the task.

    • sub_tasks array[object]

      The sub tasks of the workflow task.

      Hide sub_tasks attributes Show sub_tasks attributes object
      • uuid string
      • name string
      • sub_tasks string
      • trigger_tasks_count integer
    • trigger_tasks_count integer

      The number of tasks this task will trigger when it is added to the workflow.

GET /api/v1/workflow/{workflow_uuid}/tree
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/workflow/6ff8f7f6-1eb3-3525-be4a-3932c805afed/tree' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "uuid": "e5d5c932-630b-4a1f-8bb5-1c545c8a0ee7",
  "name": "Task With Children",
  "sub_tasks": [
    {
      "uuid": "85929bde-f394-47ec-a98c-0c6fc790bfa1",
      "name": "Task With Children",
      "sub_tasks": "App\\Http\\Resources\\Board\\WorkflowTreeResource",
      "trigger_tasks_count": 5
    }
  ],
  "trigger_tasks_count": 5
}